Intereting Posts
RelativeLayout внутри LinearLayout? Как получить пользовательский день рождения от facebook sdk? Приложение PhoneGap jQuery-Mobile, использующее как локальные, так и серверные страницы Сколько общих настроек слишком много? Поддерживают ли константы кода версии для Android более старые версии? Как отформатировать активность из другого мероприятия с помощью опций меню Не удается удалить столбец из таблицы sqlite Получить изображение из галереи, чтобы установить изображение в фрагменте? IllegalStateException: активность была уничтожена – когда приложение пытается показать DialogFragment еще раз Отправка нескольких файлов через Bluetooth Редактировать текст без автозамены Расширения OpenGL, доступные на разных устройствах Android В чем смысл журнала из тега: «szipinf» и текст: «Инициализация состояния раздувания» из Logcat Android: Вставить текст в EditText в текущей позиции Заменить новый метод dexlib2 failing

Ошибка: «повторная запись: андроид / поддержка / v7 / appcompat / R $ anim.class»

При создании приложения возникает следующая ошибка:

Error:Execution failed for task ':app:transformClassesWithJarMergingForDebug'. > com.android.build.api.transform.TransformException: java.util.zip.ZipException: duplicate entry: android/support/v7/appcompat/R$anim.class 

Я убирал и строил проект много раз безрезультатно. Он имеет следующее в своей конструкции градиента:

 compile 'com.android.support:appcompat-v7:23.3.0' 

Он также использует библиотеку через свой файл aar. Этот проект библиотеки также имеет вышеупомянутое в его построении градиента.

Может ли кто-нибудь предложить советы о том, как это решить?

Yup, Лицо же проблема несколько дней назад

Причинакак вы сказали: «Этот проект библиотеки также имеет вышеописанное в своей конструкции градиента», фактически система не сможет понять, какую зависимость возьмет (app's-compile «com.android.support:appcompat-v7:23.3.0» или модуль Project's – compile 'com.android.support:appcompat-v7:23.3.0'), так что привет говорит, что у вас есть дубликат записи

Как решить

Шаг 1 – Просто очистить / построить проект. Перейдите в Build -> Clean / Build Project.

Шаг 2 – В терминале выполните в корневой папке проекта ./gradlew clean *

Шаг 3 – вы должны исключить свою группу из одной зависимости

 compile('com.android.support:design:23.2.1') { exclude group: 'com.android.support', module: 'support-v7' } 

Шаг 4 – Отъезд Этот верный ответ https://stackoverflow.com/a/19022328/4741746

И Ответ, который работает для меня –

Я просто удаляю 1 зависимость от градиента уровня приложений и просто помещаю только в градиент уровня проекта модуля, а также исключаю поддержку-v4, в которой существует этот класс анимации

  compile 'com.android.support:appcompat-v7:23.2.1' compile('com.android.support:design:23.2.1') { exclude group: 'com.android.support', module: 'support-v4' }